BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.Base.EntityBase Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.Base.EntityBase:

## Properties
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ CreatedAt

DateTime BMA.EHR.Domain.Models.Base.EntityBase.CreatedAt = DateTime.Now
| get set

## ◆ CreatedFullName

string BMA.EHR.Domain.Models.Base.EntityBase.CreatedFullName = string.Empty
| get set

## ◆ CreatedUserId

string BMA.EHR.Domain.Models.Base.EntityBase.CreatedUserId = string.Empty
| get set

## ◆ Id

Guid BMA.EHR.Domain.Models.Base.EntityBase.Id
| get set

## ◆ LastUpdatedAt

DateTime? BMA.EHR.Domain.Models.Base.EntityBase.LastUpdatedAt
| get set

## ◆ LastUpdateFullName

string BMA.EHR.Domain.Models.Base.EntityBase.LastUpdateFullName = string.Empty
| get set

## ◆ LastUpdateUserId

string BMA.EHR.Domain.Models.Base.EntityBase.LastUpdateUserId = string.Empty
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/Base/EntityBase.cs